Actualizaciones de seguridad disponibles para Adobe Flash Player

Fecha de publicación: 11 de agosto de 2015

Última actualización: 2 de septiembre de 2015

Identificador de vulnerabilidad: APSB15-19

Prioridad: Consulta la tabla que aparece a continuación

Números CVE: CVE-2015-5125, CVE-2015-5127, CVE-2015-5129, CVE-2015-5130, CVE-2015-5131, CVE-2015-5132, CVE-2015-5133, CVE-2015-5134, CVE-2015-5539, CVE-2015-5540, CVE-2015-5541, CVE-2015-5544, CVE-2015-5545, CVE-2015-5546, CVE-2015-5547, CVE-2015-5548, CVE-2015-5549, CVE-2015-5550, CVE-2015-5551, CVE-2015-5552, CVE-2015-5553, CVE-2015-5554, CVE-2015-5555, CVE-2015-5556, CVE-2015-5557, CVE-2015-5558, CVE-2015-5559, CVE-2015-5560, CVE-2015-5561, CVE-2015-5562, CVE-2015-5563, CVE-2015-5564, CVE-2015-5565, CVE-2015-5566, CVE-2015-6682

Plataforma: Todas las plataformas

Resumen

Adobe ha publicado actualizaciones de seguridad para Adobe Flash Player.  Estas actualizaciones solucionan vulnerabilidades importantes que podrían permitir que un intruso se hiciera con el control del sistema afectado.

Versiones afectadas

Producto Versiones afectadas Plataforma
Motor de ejecución de escritorio de Adobe Flash Player 18.0.0.209 y versiones anteriores
Windows y Macintosh
Versión de compatibilidad extendida de Adobe Flash Player 13.0.0.309 y versiones anteriores Windows y Macintosh
Adobe Flash Player para Google Chrome  18.0.0.209 y versiones anteriores Windows, Macintosh y Linux
Adobe Flash Player para Microsoft Edge e Internet Explorer 11 18.0.0.209 y versiones anteriores Windows 10
Adobe Flash Player para Internet Explorer 10 y 11 18.0.0.209 y versiones anteriores Windows 8.0 y 8.1
Adobe Flash Player para Linux 11.2.202.491 y versiones anteriores Linux
Motor de ejecución de escritorio de AIR 18.0.0.180 y versiones anteriores Windows y Macintosh
AIR SDK 18.0.0.180 y versiones anteriores Windows, Macintosh, Android y iOS
AIR SDK & Compiler 18.0.0.180 y versiones anteriores Windows, Macintosh, Android y iOS
  • Para comprobar la versión de Adobe Flash Player instalada en tu sistema, accede a la página Acerca de Adobe Flash Player o haz clic derecho en cualquier contenido que se esté ejecutando con Flash Player y selecciona "Acerca de Adobe (o Macromedia) Flash Player" en el menú. Si utilizas varios navegadores, debes realizar esta comprobación en cada navegador que tengas instalado en el sistema.  
  • Para comprobar la versión de Adobe AIR que tienes instalada en el sistema, sigue las instrucciones de la nota técnica de Adobe AIR

Solución

Adobe categoriza estas actualizaciones de acuerdo con los siguientes niveles de prioridad y recomienda que los usuarios actualicen los programas a las versiones más recientes:

Producto Versiones actualizadas Plataforma Disponibilidad
Motor de ejecución de escritorio de Adobe Flash Player
18.0.0.232 Windows y Macintosh
1 Centro de descargas de Flash Player  Distribución de Flash Player
Versión de compatibilidad extendida de Adobe Flash Player [2] 18.0.0.232 Windows y Macintosh
1 Compatibilidad extendida
Adobe Flash Player para Google Chrome 18.0.0.232 Windows y Macintosh   1 Versiones de Google Chrome
Adobe Flash Player para Google Chrome 18.0.0.233 Linux y Chrome OS 3 Versiones de Google Chrome
Adobe Flash Player para Microsoft Edge e Internet Explorer 11 18.0.0.232 Windows 10 1 Documento informativo de seguridad de Microsoft
Adobe Flash Player para Internet Explorer 10 y 11 18.0.0.232 Windows 8.0 y 8.1
1 Documento informativo de seguridad de Microsoft
Adobe Flash Player para Linux 11.2.202.508 Linux 3 Centro de descargas de Flash Player
Motor de ejecución de escritorio de AIR 18.0.0.199 Windows y Macintosh 3 Centro de descargas de AIR
AIR SDK 18.0.0.199 Windows, Macintosh, Android y iOS 3 Descarga de AIR SDK
AIR SDK & Compiler 18.0.0.199 Windows, Macintosh, Android y iOS 3 Descarga de AIR SDK
  • Adobe recomienda que los usuarios del motor de ejecución de escritorio de Adobe Flash Player para Windows y Macintosh actualicen a la versión 18.0.0.232 de Adobe Flash Player, a la que pueden acceder a través del Centro de descargas de Adobe Flash Player o del mecanismo de actualización incluido en el producto cuando el sistema lo solicite [1].
  • Adobe recomienda que los usuarios de la versión de compatibilidad extendida de Adobe Flash Player [2] actualicen a la versión 18.0.0.232 a través de la página http://helpx.adobe.com/flash-player/kb/archived-flash-player-versions.html.
  • Adobe recomienda que los usuarios de Adobe Flash Player para Linux actualicen a la versión 11.2.202.508 de Adobe Flash Player, a la que pueden acceder a través del Centro de descargas de Adobe Flash Player
  • Adobe Flash Player instalado con Google Chrome se actualizará automáticamente a la versión más reciente de Google Chrome, que incluirá Adobe Flash Player 18.0.0.232 en Windows y Macintosh, y la versión 18.0.0.233 para Linux y Chrome OS.
  • Adobe Flash Player instalado con Microsoft Edge para Windows 10 se actualizará automáticamente a la versión más reciente, que incluirá Adobe Flash Player 18.0.0.232.
  • Adobe Flash Player instalado con Internet Explorer 10 y 11 para Windows 8.0 y 8.1 se actualizará automáticamente a la versión más reciente, que incluirá Adobe Flash Player 18.0.0.232.
  • Adobe recomienda que los usuarios del motor de ejecución de escritorio de AIR, AIR SDK y AIR SDK & Compiler actualicen a la versión 18.0.0.199 a través del Centro de descargas de AIR o del Centro de desarrolladores de AIR
  • Accede a la página de ayuda de Flash Player para recibir asistencia para la instalación de Flash Player.
 
[1] Los usuarios de Flash Player 11.2.x y versiones posteriores para Windows o Flash Player 11.3.x y versiones posteriores para Macintosh que hayan seleccionado la opción "Permitir que Adobe instale actualizaciones" recibirán la actualización automáticamente. Los usuarios que no hayan activado la opción "Permitir que Adobe instale actualizaciones" pueden instalar la actualización por medio del mecanismo de actualización del producto cuando se les solicite.
 
[2] Nota: A partir del 11 de agosto de 2015, Adobe actualizará el número de la "versión de compatibilidad extendida" de Flash Player 13 a Flash Player 18 para Macintosh y Windows. Para contar con todas las actualizaciones de seguridad disponibles, los usuarios deben instalar la versión de compatibilidad extendida de Flash Player 18 o actualizar a la versión más reciente disponible. Para obtener más información, consulte esta entrada del blog: http://blogs.adobe.com/flashplayer/2015/05/upcoming-changes-to-flash-players-extended-support-release-2.html

Detalles sobre la vulnerabilidad

  • Estas actualizaciones solucionan vulnerabilidades de confusión de tipo que podrían provocar la ejecución de código (CVE-2015-5554, CVE-2015-5555, CVE-2015-5558 y CVE-2015-5562).
  • Estas actualizaciones incluyen un refuerzo adicional de una corrección introducida en la versión 18.0.0.209 para defenderse contra las corrupciones de la longitud del vector (CVE-2015-5125).
  • Estas actualizaciones solucionan vulnerabilidades de uso posterior a su liberación que podrían provocar la ejecución de código (CVE-2015-5550, CVE-2015-5551, CVE-2015-5556, CVE-2015-5130, CVE-2015-5134, CVE-2015-5539, CVE-2015-5540, CVE-2015-5557, CVE-2015-5559, CVE-2015-5127, CVE-2015-5563, CVE-2015-5561, CVE-2015-5564, CVE-2015-5565, CVE-2015-5566 y CVE-2015-6682).
  • Estas actualizaciones solucionan vulnerabilidades de desbordamiento de búfer basado en pilas que podrían provocar la ejecución de código (-5129, CVE-2015-, CVE-2015-5541).
  • Estas actualizaciones solucionan vulnerabilidades de desbordamiento de búfer que podrían provocar la ejecución de código (CVE-2015-5131, CVE-2015-5132 y CVE-2015-5133).
  • Estas actualizaciones solucionan vulnerabilidades de daños de memoria que podrían provocar la ejecución de código (CVE-2015-5544, CVE-2015-5545, CVE-2015-5546, CVE-2015-5547, CVE-2015-5548, CVE-2015-5549, CVE-2015-5552 y CVE-2015-5553).
  • Estas actualizaciones solucionan una vulnerabilidad de desbordamiento de enteros que podría provocar la ejecución de código (CVE-2015-5560).

Reconocimientos

Adobe desea dar las gracias a las siguientes personas y organizaciones por informar de problemas relevantes y por colaborar con Adobe para ayudarnos a proteger la seguridad de nuestros clientes: 

  • Kai Lu, de FortiGuard Labs de Fortinet (CVE-2015-5129)
  • Chris Evans, Ben Hawkes y Mateusz Jurczyk, del equipo de Project Zero de Google (CVE -2015-5131, CVE -2015-5132, CVE -2015-5133, CVE -2015-5544, CVE -2015-5545, CVE -2015-5546, CVE -2015-5547 y CVE -2015-5548)
  • Wang Wei, del equipo de investigación de seguridad de Alibaba (CVE-2015-5566)
  • Natalie Silvanovich, del equipo de Project Zero de Google (CVE-2015-5550, CVE-2015-5551, CVE-2015-5554, CVE-2015-5555, CVE-2015-5556, CVE-2015-5134, CVE-2015-5539, CVE-2015-5540, CVE-2015-5557, CVE-2015-5558, CVE-2015-5562, CVE-2015-5560, CVE-2015-5564 y CVE-2015-5565)
  • Chris Evans de Project Zero de Google (CVE-2015-5549, CVE-2015-5125)
  • bilou, que trabaja en el programa de recompensas por encontrar vulnerabilidades de Chromium (CVE-2015-5563, CVE-2015-5561, CVE-2015-5130 y CVE-2015-5127)
  • Yuki Chen, de Qihoo 360 Vulcan Team (CVE-2015-5552, CVE-2015-5553 y CVE-2015-5559)
  • intruso del equipo de investigación de seguridad de Alibaba (CVE-2015-5541)
  • Peter Pi de TrendMicro (CVE-2015-6682)

 

Revisiones

11 de agosto de 2015: Se actualizó la tabla de versiones afectadas para incluir Adobe Flash Player para Microsoft Edge e Internet Explorer 11 en Windows 10.  Además, se añadió una referencia a la vulnerabilidad CVE-2015-5564, que no se incluyó accidentalmente en el boletín.     

12 de agosto de 2015: Se añadió una referencia a la vulnerabilidad CVE-2015-5565, un problema de uso posterior a su liberación similar a la vulnerabilidad CVE-2015-3107.  Se introdujo una corrección para la vulnerabilidad CVE-2015-3107 en el identificador APSB15-11, y se intensificó en el identificador APSB15-19.  Además, se eliminó la vulnerabilidad CVE-2015-5128, que anteriormente se consideró un problema de confusión de tipo, y se clasificó de nuevo como un bloqueo no explotable debido a una excepción de puntero nulo.

20 de agosto de 2015: se ha reemplazado CVE-2015-5124 por CVE-2015-5566.  CVE-2015-5124 se había solucionado en APSB15-16 y se había vuelto a usar en APSB15-19 por error. 

2 de septiembre de 2015: se ha agregado una referencia a CVE-2015-6682, una vulnerabilidad de uso posterior a su liberación que se había solucionado en esta versión pero no se había incluido en el boletín.